import 'package:nui_database/models/nui_database_entity_mapper.dart';
import 'package:nui_database/models/nui_database_model.dart';
import 'package:nui_database/nui_database.dart';
import 'package:nui_mini_program/model/nui_miniprogram_module.dart';

/**
 * Defining the database storage for mini-program
 */
class NUIMiniProgramDatabase extends NUIDatabaseModel{
  static const String name = "nuiminiprogram.db";
  static NUIDatabase get(){
    return NUIDatabase.get(name);
  }

  String databaseName() => name;

  List<NUIDBEntityMapper> entities() => [
    NUIMiniProgramModuleEnt(),
  ];
}